libpri (1.6.0-0) unstable; urgency=medium

  * New upstream release, still not use dahdi for tools excluded
  * watch: a https URL
  * DEB_BUILD_MAINT_OPTIONS = hardening=+all

 -- PICCORO Lenz McKAY <mckaygerhard@gmail.com>  Sun, 18 Feb 2018 23:21:36 +0200

libpri (1.4.15-1) unstable; urgency=medium

  * New upstream release
    - Symbols file update (new function pri_setup_ack).
  * Add Jeremy Lainé to uploaders.
  * Update Standards-Version: 3.9.5 - lintian clean.
  * Add upstream GPG signature check to watch file.

 -- Jeremy Lainé <jeremy.laine@m4x.org>  Tue, 17 Jun 2014 13:12:22 +0200

libpri (1.4.14-1) unstable; urgency=low

  [ Tzafrir Cohen ]
  * New upstream release.
    - Patch spelling-error-in-binary removed: merged upstream.
    - Fixes passing CFLAGS and LDFLAGS from build system: Patch
      enable-gcc-optimizations reduced.
    - Symbols file update (new function pri_persistent_layer2_option).
  * Remove version.c on clean (Closes: #688765).
  * Pass flags from dpkg-buildflags to the build system This library is
    now hardened.
  * Patch disable_dahdi: disable utils that require dahdi and are not
    installed.

  [ Mark Purcell ] 
  * Update to anonscm.debian - fix vcs-field-not-canonical
  * Update Standards-Version: 3.9.4 - lintian clean

 -- Mark Purcell <msp@debian.org>  Thu, 20 Jun 2013 10:22:25 +1000

libpri (1.4.12-2) unstable; urgency=low

  * wheezey polish
  * Update Standards-Version: 3.9.3 - no changes
  * Refresh get-orig-source target
  * debian/compat -> 9 
  * Fix spelling-error-in-binary usr/lib/libpri.so.1.4 Wierd Weird

 -- Mark Purcell <msp@debian.org>  Sun, 24 Jun 2012 21:16:16 +1000

libpri (1.4.12-1) unstable; urgency=low

  * New upstream release. 
    - Drop patch gcc-4.6-werror, not needed anymore.
    - Adapt patch enable-gcc-optimizations.
    - Updated symbols file with (a lot of) new symbols.

 -- Faidon Liambotis <paravoid@debian.org>  Sat, 26 Nov 2011 17:25:59 +0200

libpri (1.4.11.5-1) unstable; urgency=low

  * New upstream release.
  * Update symbols file (practically internal ones, actually).
  * Standards version 3.9.2 (no change needed).

 -- Tzafrir Cohen <tzafrir@debian.org>  Mon, 26 Sep 2011 23:56:14 +0300

libpri (1.4.11.3-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Add gcc-4.6-werror to fix FTBFS with gcc-4.6.  Closes: #625379.

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 09 Sep 2011 14:54:45 +0200

libpri (1.4.11.3-1) unstable; urgency=low

  * New upstream bugfix release.

 -- Tzafrir Cohen <tzafrir@debian.org>  Wed, 30 Jun 2010 00:53:30 +0300

libpri (1.4.11.2-1) unstable; urgency=low

  * New upstream bugfix release.
  - Patch fix-inband-bri removed: merged upstream.
  * Update my address to @debian.org.

 -- Tzafrir Cohen <tzafrir@debian.org>  Tue, 08 Jun 2010 21:56:54 +0300

libpri (1.4.11-1) unstable; urgency=low

  * New upstream release.
  * Drop patch osarch_hurd, merged upstream.
  * Update enable-gcc-optimizations.
  * Use a symbol file for library versioning since this version added lots of
    them. Import and properly tag 1.4.10 & 1.4.11 symbols.
  * Bump Standards-Version to 3.8.4.
  * Switch to 3.0 (quilt) source package format and drop quilt dependency.
  * Switch from cdbs to dh from debhelper 7.
  * Switch to downloads.asterisk.org instead of the obsolete
    downloads.digium.com in the watch file.

 -- Faidon Liambotis <paravoid@debian.org>  Thu, 27 May 2010 04:27:05 +0300

libpri (1.4.10.2-2) unstable; urgency=low

  * Convert dpatch to quilt. 

 -- Tzafrir Cohen <tzafrir.cohen@xorcom.com>  Thu, 03 Dec 2009 13:27:59 +0200

libpri (1.4.10.2-1) unstable; urgency=low

  * New upstream release (Closes: #551820)
    - fixes improper Q.921 link operation
  * Add basic debian/README.source

 -- Mark Purcell <msp@debian.org>  Wed, 21 Oct 2009 10:03:25 +1100

libpri (1.4.10.1-1) unstable; urgency=low

  * New upstream release 

  [ Tzafrir Cohen ]
  * Patch osarch_hurd: Fix building on HURD.

  [ Faidon Liambotis ]
  * Add a fix for the inbanddisconnection setting on BRIs.

 -- Mark Purcell <msp@debian.org>  Wed, 14 Oct 2009 07:46:11 +1100

libpri (1.4.10-1) unstable; urgency=low

  [ Tzafrir Cohen ]
  * New upstream release.
    - (Closes: #492867): "libpri - new upstream version"
    - bug fixes related to handling of BRI PTMP links

 -- Mark Purcell <msp@debian.org>  Fri, 24 Apr 2009 00:37:46 +1000

libpri (1.4.9-2) unstable; urgency=low

  * Upload to unstable
    - pkg-voip transition discussed on debian-release
  * Drop oldstable Conflicts: libpri1.2

 -- Mark Purcell <msp@debian.org>  Thu, 02 Apr 2009 22:03:13 +1100

libpri (1.4.9-1) experimental; urgency=low

  [ Tzafrir Cohen ]
  * New upstream version.
  * Dropping bristuff for now.
  * NEW package libpri1.4 SONAME is now 1.4 . Changed package name accordingly

  [ Victor Seva ]
  * debian/rules: Update upstream's URL.

  [ Mark Purcell ]
  * Update debian/watch
  * Switch back to cdbs (allows -j2 and others)
  * debian/compact -> 7
  * Update debian/copyright GPL-2 only
  * Upload to experimental while we coordinate transition debian-release & NEW

 -- Mark Purcell <msp@debian.org>  Sun, 22 Mar 2009 22:00:07 +1100

libpri (1.4.3-3) unstable; urgency=low

  [ Tzafrir Cohen ]
  * Fix layer 2 startup bugs (e.g. resume from cable disconnect) on BRI lines:
    - When getting a SABME/UA after sending one, don't reset state.
    - Don't further process an unassigned TEI event.
  * Bump standards version to 3.8.0 .

  [ Victor Seva ]
  * debian/rules: fix get-orig-source to actually work

 -- Faidon Liambotis <paravoid@debian.org>  Sun, 19 Oct 2008 20:12:39 +0300

libpri (1.4.3-2) unstable; urgency=low

  * Update to bristuff 0.4.0-RC1
    - fixed "call reference exceeds 127 on BRI spans" bug in libpri
      which caused a deadlock in chan_zap.
    - fixed "t303 not stopped" bug in libpri.
  * Add Junghanns.NET GmbH to the copyright holders in debian/copyright.
  * Refer to /usr/share/common-licenses/GPL-2 to avoid ambiguity vs. GPLv3.

 -- Faidon Liambotis <paravoid@debian.org>  Wed, 21 May 2008 03:33:52 +0300

libpri (1.4.3-1) unstable; urgency=low

  [ Mark Purcell ]
  * New upstream release

  [ Tzafrir Cohen ]
  * Watching downloads.digium.com directly again. 

 -- Mark Purcell <msp@debian.org>  Tue, 22 Apr 2008 22:49:51 +1000

libpri (1.4.2-2) unstable; urgency=low

  [ Faidon Liambotis ]
  * Fix debian/watch by using a pkg-voip wrapper to avoid upstream's silly
    redirections. (Closes: #449956)
  * Bump Standards-Version to 3.7.3, no changed needed. 
  * Remove Jose Carlos Garcia Sogo and Santiago Garcia Mantinan from
    Uploaders.

  [ Tzafrir Cohen ]
  * Reset T303 timer on ALERTING and PROGRESS response to setup, from
    bristuff 0.4.0-test6-xr2 (Closes: #473550).

 -- Faidon Liambotis <paravoid@debian.org>  Tue, 01 Apr 2008 07:04:33 +0300

libpri (1.4.2-1) unstable; urgency=low

  [ Kilian Krause ]
  * Add Homepage field as added in dpkg-dev 1.14.6.

  [ Tzafrir Cohen ]
  * New upstream release.
  * Update bristuff to new upstream release.
  * Update makefile patches to new upstream.
  * Do build bristuffed version as well with -Werror .
  * Fix an uninitialized variable there.
  * BRI overlap digits were ignored - regression from 1.2 (Closes: #448118).

  [ Faidon Liambotis ]
  * Include <stddef.h> since <sys/time.h> doesn't include it anymore.
    Fixes FTBFS (Closes: #453161).

 -- Faidon Liambotis <paravoid@debian.org>  Thu, 29 Nov 2007 10:32:50 +0000

libpri (1.4.1-2) unstable; urgency=low

  * Enable -O2 optimizations, following Policy 10.1. (Closes: #359186)
  * Conflict with libpri1.2 versions prior to 1.4.0-2 to ease transition for
    testing and unstable users. (Closes: #437804)

 -- Faidon Liambotis <paravoid@debian.org>  Wed, 15 Aug 2007 01:11:16 +0300

libpri (1.4.1-1) unstable; urgency=low

  * New Upstream Release

  [ Tzafrir Cohen ]
  * Re-Adding bristuff.
  * Which requires re-applying and fixing libname.dpatch .

  [ Faidon Liambotis ]
  * Add myself to Uploaders.
  * Add XS-Vcs-Svn and XS-Vcs-Browser to debian/control.
  * Switch to dh_install from the deprecated dh_movefiles.
  * Use ${binary:Version} instead of ${Source-Version}.
  * Loosen up shlibs: we want to create shlibs that are >= 1.4, not the
    specific version of libpri 1.4 (e.g. 1.4.1).
  * Conflict/Replace libpri1.2 from etch since we're providing the same files.

  [ Mark Purcell ]
  * Bump package name to match soname libpri1.0

 -- Mark Purcell <msp@debian.org>  Sat, 04 Aug 2007 09:41:50 +0100

libpri (1.4.0-2) unstable; urgency=low

  * unstable release

 -- Mark Purcell <msp@debian.org>  Sun, 18 Mar 2007 21:41:16 +0000

libpri (1.4.0-1) experimental; urgency=low

  [ Tzafrir Cohen ]
  * A new package for branch 1.4.
  * Bristuff disabled.
  * Standard version updated to 3.7.2. No change required.

  [ Mark Purcell ]
  * Update debian/watch for 1.4 series

 -- Mark Purcell <msp@debian.org>  Sun, 18 Mar 2007 21:36:25 +0000

libpri (1.2.4-1) unstable; urgency=low

  * New upstream release.
  * bristuff-0.3.0-PRE-1v

 -- Mark Purcell <msp@debian.org>  Tue, 24 Oct 2006 22:21:29 +0100

libpri (1.2.3-1) unstable; urgency=low

  * New upstream release.

  [ Tzafrir Cohen ]
  * Patches have been applied upstream
  * Makefile.dpatch: Remove unused fix from patches
  * bristuff 0.3.0-PRE1p

  [ Mark Purcell ]
  * Cleanup bristuff.dpatch for Upstream 1.2.3. 

 -- Mark Purcell <msp@debian.org>  Wed, 14 Jun 2006 12:11:36 +1000

libpri (1.2.2-3) unstable; urgency=low

  * Use CURDIR rather than PWD to make sure we can build with sudo.

 -- Kilian Krause <kilian@debian.org>  Sun, 16 Apr 2006 22:55:59 +0000

libpri (1.2.2-2) unstable; urgency=low

  * bristuff 0.3.0-PRE-1k
  * some changes to the libname patch (don't change links in the build dir)
  * we no longer need to symlink manually (right?)

 -- Tzafrir Cohen <tzafrir.cohen@xorcom.com>  Wed, 08 Feb 2006 00:39:46 +0200

libpri (1.2.2-1) unstable; urgency=low

  [ Tzafrir Cohen ]
  * bristuff 0.3.0-PRE-1f

  [ Kilian Krause ]
  * New upstream release.
  * New ABI since 1.2.1 without chaning SONAME. Adjusting at least the package
    name accordingly nevertheless. (Closes: #341109)
  * Add GNU/kFreeBSD patch to run ldconfig (Closes: #338388)

 -- Kilian Krause <kilian@debian.org>  Sun,  5 Feb 2006 11:42:46 +0100

libpri (1.2.1-2) unstable; urgency=low

  * bristuff 0.3.0-PRE-1d
  * bristuff is built by default, but as a separate library:
    libpri-bristuffed.so.1 , /usr/include/bristuffed/pri.h . Thus the default
    libpri is unmodified.

 -- Tzafrir Cohen <tzafrir.cohen@xorcom.com>  Sat, 31 Dec 2005 15:28:25 +0200

libpri (1.2.1-1) unstable; urgency=low

  * New upstream release
  * Disable bristuff for new upstream

 -- Mark Purcell <msp@debian.org>  Wed,  7 Dec 2005 21:25:46 +0000

libpri (1.2.0-release-2) unstable; urgency=low

  * bristuff 0.3.0-PRE-1 

 -- Tzafrir Cohen <tzafrir.cohen@xorcom.com>  Wed, 23 Nov 2005 02:26:50 +0200

libpri (1.2.0-release-1) unstable; urgency=low

  * New upstream release

 -- Mark Purcell <msp@debian.org>  Thu, 17 Nov 2005 17:44:28 +0000

libpri (1.2.0-rc2-1) experimental; urgency=low

  * New upstream release

 -- Mark Purcell <msp@debian.org>  Sun, 13 Nov 2005 18:21:12 +0000

libpri (1.2.0-rc1-1) unstable; urgency=low

  * New upstream release
  * Copyright audit to debian/copyright

 -- Mark Purcell <msp@debian.org>  Wed,  9 Nov 2005 20:01:55 +0000

libpri (1.2.0-beta2-1) experimental; urgency=low

  * New upstream release
  * Update Makefile.patch

 -- Mark Purcell <msp@debian.org>  Tue,  1 Nov 2005 21:46:25 +0000

libpri (1.2.0-0beta1-1) experimental; urgency=low

  * New upstream release
  * Disable bristuff for experimental upload
  * lintian cleanup debian/copyright

 -- Mark Purcell <msp@debian.org>  Tue, 30 Aug 2005 20:36:41 +0100

libpri (1.0.9-4) unstable; urgency=low

  * Import bristuff-0.2.0-RC8l.dpatch

 -- Santiago Ruano Rincon <santiago@unicauca.edu.co>  Sat, 30 Jul 2005 11:30:30 -0500

libpri (1.0.9-3) unstable; urgency=low

  * Import bristuff_2.0.0-RC8j

 -- Mark Purcell <msp@debian.org>  Thu, 14 Jul 2005 12:35:29 +0100

libpri (1.0.9-2) unstable; urgency=low

  * With bristuff_2.0.0-RC8h enabled

 -- Mark Purcell <msp@debian.org>  Sat,  2 Jul 2005 09:32:21 +0100

libpri (1.0.9-1) unstable; urgency=low

  * New upstream release
  * Temp disable BRI stuff to enable 1.0.9 upload

 -- Mark Purcell <msp@debian.org>  Sat,  2 Jul 2005 09:03:34 +0100

libpri (1.0.7-1) unstable; urgency=low

  * New upstream release
  * debian/watch to svn-upgrade

 -- Mark Purcell <msp@debian.org>  Fri, 25 Mar 2005 10:36:08 +0000

libpri (1.0.6-1) unstable; urgency=low

  * New upstream version. (libpri 1.0.6, bristuff RC7k)
  * Upgraded Standards-Version to 3.6.1 after converting changelog to UTF8.

 -- Kilian Krause <kk@verfaction.de>  Sat,  5 Mar 2005 13:33:10 +0100

libpri (1.0.4-2) unstable; urgency=low

  * Debian VoIP import.
  * debian/patches/Makefile.dpatch, debian/patches/q931.dpatch: imported from
    old diff.
  * debian/patches/bristuff.dpatch: Added bristuff RC7f from junghanns.net
    (needs disabled q931.dpatch for now) (Closes: #294184)

 -- Kilian Krause <kk@verfaction.de>  Thu, 24 Feb 2005 01:25:11 +0100

libpri (1.0.4-1) unstable; urgency=low

  * New upstream release (Closes: Bug#288447)
  * Apply amd64 patch from Andreas Jochens (Closes: Bug#287442)

 -- Mark Purcell <msp@debian.org>  Sun,  6 Feb 2005 11:09:04 +0000

libpri (1.0.2-1) unstable; urgency=low

  * New upstream release

 -- Mark Purcell <msp@debian.org>  Sat,  6 Nov 2004 12:17:41 +1100

libpri (1.0.1-1) unstable; urgency=low

  * New upstream release

 -- Mark Purcell <msp@debian.org>  Thu,  7 Oct 2004 13:03:22 +1000

libpri (1.0.0-1) unstable; urgency=low

  * New upstream release

 -- Mark Purcell <msp@debian.org>  Fri, 24 Sep 2004 22:28:02 +1000

libpri (0.6.0+1.0RC1-1) unstable; urgency=low

  * New upstream release (Closes: Bug#254501)

 -- Mark Purcell <msp@debian.org>  Tue, 20 Jul 2004 19:14:24 +1000

libpri (0.6.0-1) unstable; urgency=low

  * New upstream release

 -- Mark Purcell <msp@debian.org>  Thu, 22 Apr 2004 23:59:18 +1000

libpri (0.5.2-1) unstable; urgency=low

  * New Upstream Release (Closes: Bug#200188)

 -- Mark Purcell <msp@debian.org>  Thu,  5 Feb 2004 16:01:49 +1100

libpri (0.3.2-1) unstable; urgency=low

  * Initial Release.

 -- Mark Purcell <msp@debian.org>  Wed,  2 Jul 2003 20:23:13 +1000

